Bug 408491 - Missing requires: python-setuptools
Missing requires: python-setuptools
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-nose (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Luke Macken
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-03 05:12 EST by Terje Rosten
Modified: 2016-09-19 22:38 EDT (History)
3 users (show)

See Also:
Fixed In Version: python-nose-0.10.0-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-20 15:31:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Terje Rosten 2007-12-03 05:12:33 EST
Description of problem:

python-nose should have a  Requires: python-setuptools line:

$ rpm -i python-nose-0.10.0-0.3.b1.fc8.noarch.rpm 
$ nosetests 
Traceback (most recent call last):
  File "/usr/bin/nosetests", line 5, in <module>
    from pkg_resources import load_entry_point
ImportError: No module named pkg_resources
$ rpm -i python-setuptools-0.6c7-2.fc8.noarch.rpm 
$ nosetests 

----------------------------------------------------------------------
Ran 0 tests in 0.051s

OK
Comment 1 Luke Macken 2007-12-03 08:48:43 EST
Fixed and built for devel/F-7/F-8.  I will push these into bodhi when the builds
complete.
Comment 2 Terje Røsten 2007-12-03 17:04:19 EST
Thanks for quick fix, Luke!
Comment 3 Fedora Update System 2007-12-06 15:45:58 EST
python-nose-0.10.0-2.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-nose'
Comment 4 Fedora Update System 2007-12-06 15:52:50 EST
python-nose-0.10.0-2.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-nose'
Comment 5 Jan Hutař 2007-12-17 15:04:05 EST
There is same problem with RHEL-5 EPEL
Comment 6 Luke Macken 2007-12-17 16:26:38 EST
I applied the fix to our EL-5 branch, and kicked off a new build (37504).  I
also requested that python-nose-0.10.0-2 be pushed to stable for F7/F8.
Comment 7 Fedora Update System 2007-12-20 14:50:35 EST
python-nose-0.10.0-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2007-12-20 15:03:05 EST
python-nose-0.10.0-2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.